# Use case

## Overview

The Use case API allows developers to deploy, test, validate and undeploy use case. Use case definitions provide the required binding of the stream and data transports.&#x20;

For further information on the structure of the content payload refer to this documentation.&#x20;

#### Example use case content

```json
{
  "use case": {
    "name": "basic_twindow_analytics",
    "sources": [
      "nasdaq_quotes_stream"
    ],
    "stream name": "basic_tumbling_window_pipeline",
    "sinks": [
      "kafka_analytics_view"
    ]
  }
} 
```

***

{% openapi src="/files/GlCtcBKC4vfe3SdDJyJ9" path="/joule/management/usecase/deploy" method="post" %}
[swagger-docs.json](https://3062398388-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FUU6FZlV07ZD90OzbzGww%2Fuploads%2FwsbKvpoD11cLGV2xB6Dl%2Fswagger-docs.json?alt=media\&token=7d415513-0de4-40a2-9b02-d35b6d39c86f)
{% endopenapi %}

{% openapi src="/files/GlCtcBKC4vfe3SdDJyJ9" path="/joule/management/usecase/detail" method="get" %}
[swagger-docs.json](https://3062398388-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FUU6FZlV07ZD90OzbzGww%2Fuploads%2FwsbKvpoD11cLGV2xB6Dl%2Fswagger-docs.json?alt=media\&token=7d415513-0de4-40a2-9b02-d35b6d39c86f)
{% endopenapi %}

{% openapi src="/files/GlCtcBKC4vfe3SdDJyJ9" path="/joule/management/usecase/list" method="get" %}
[swagger-docs.json](https://3062398388-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FUU6FZlV07ZD90OzbzGww%2Fuploads%2FwsbKvpoD11cLGV2xB6Dl%2Fswagger-docs.json?alt=media\&token=7d415513-0de4-40a2-9b02-d35b6d39c86f)
{% endopenapi %}

{% openapi src="/files/GlCtcBKC4vfe3SdDJyJ9" path="/joule/management/usecase/undeploy" method="delete" %}
[swagger-docs.json](https://3062398388-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FUU6FZlV07ZD90OzbzGww%2Fuploads%2FwsbKvpoD11cLGV2xB6Dl%2Fswagger-docs.json?alt=media\&token=7d415513-0de4-40a2-9b02-d35b6d39c86f)
{% endopenapi %}

***

{% openapi src="/files/GlCtcBKC4vfe3SdDJyJ9" path="/joule/management/usecase/pause" method="put" %}
[swagger-docs.json](https://3062398388-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FUU6FZlV07ZD90OzbzGww%2Fuploads%2FwsbKvpoD11cLGV2xB6Dl%2Fswagger-docs.json?alt=media\&token=7d415513-0de4-40a2-9b02-d35b6d39c86f)
{% endopenapi %}

{% openapi src="/files/GlCtcBKC4vfe3SdDJyJ9" path="/joule/management/usecase/resume" method="post" %}
[swagger-docs.json](https://3062398388-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FUU6FZlV07ZD90OzbzGww%2Fuploads%2FwsbKvpoD11cLGV2xB6Dl%2Fswagger-docs.json?alt=media\&token=7d415513-0de4-40a2-9b02-d35b6d39c86f)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fractalworks.io/joule/developer-guides/api-endpoints/mangement-api/use-case.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
